commit:     22be7afe61ea57e9355f45027688d26e9e3ad464
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun May 10 16:11:33 2015 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun May 10 16:11:33 2015 +0000
URL:        https://gitweb.gentoo.org/proj/gnome.git/commit/?id=22be7afe

net-libs/glib-networking: 2.42.1 → 2.44.0

 .../glib-networking/glib-networking-2.44.0.ebuild  | 67 ++++++++++++++++++++++
 1 file changed, 67 insertions(+)

diff --git a/net-libs/glib-networking/glib-networking-2.44.0.ebuild 
b/net-libs/glib-networking/glib-networking-2.44.0.ebuild
new file mode 100644
index 0000000..ca5c1de
--- /dev/null
+++ b/net-libs/glib-networking/glib-networking-2.44.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2 multilib-minimal virtualx
+
+DESCRIPTION="Network-related giomodules for glib"
+HOMEPAGE="http://git.gnome.org/browse/glib-networking/";
+
+LICENSE="LGPL-2+"
+SLOT="0"
+IUSE="+gnome +libproxy smartcard +ssl test"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+
+RDEPEND="
+       >=dev-libs/glib-2.39.1:2[${MULTILIB_USEDEP}]
+       gnome? ( gnome-base/gsettings-desktop-schemas )
+       libproxy? ( >=net-libs/libproxy-0.4.11-r1:=[${MULTILIB_USEDEP}] )
+       smartcard? (
+               >=app-crypt/p11-kit-0.18.4[${MULTILIB_USEDEP}]
+               >=net-libs/gnutls-3:=[pkcs11,${MULTILIB_USEDEP}] )
+       ssl? (
+               app-misc/ca-certificates
+               >=net-libs/gnutls-3:=[${MULTILIB_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+       >=dev-util/intltool-0.35.0
+       sys-devel/gettext
+       >=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
+       test? ( sys-apps/dbus[X] )
+"
+# eautoreconf needs >=sys-devel/autoconf-2.65:2.5
+
+src_prepare() {
+       # Fix test build failure with USE=-smartcard
+       epatch "${FILESDIR}"/${PN}-2.40.1-unittests.patch
+
+       eautoreconf
+       gnome2_src_prepare
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE=${S} \
+       gnome2_src_configure \
+               --disable-static \
+               
--with-ca-certificates="${EPREFIX}"/etc/ssl/certs/ca-certificates.crt \
+               $(use_with gnome gnome-proxy) \
+               $(use_with libproxy) \
+               $(use_with smartcard pkcs11) \
+               $(use_with ssl gnutls)
+}
+
+multilib_src_test() {
+       # non-native tests fail if glib-networking is already installed.
+       # have no idea what's wrong. would appreciate some help.
+       multilib_is_native_abi || return 0
+
+       Xemake check
+}
+
+multilib_src_install() {
+       gnome2_src_install
+}

Reply via email to